// packageD/team_sell/getCouponLis/getCouponLis.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    id:'',
    pageindx:0,
    page:1,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(options);
    if(options){
      this.setData({
        id:options.lis,
      });
    }
    this.getData();
  },
  chooseTabData(e){
    console.log(e);
  },
  taplist(e){
    var info = this.data.info;
    console.log(info);
    var ind = e.currentTarget.dataset.ind;
    console.log(app._isTextEmpty(info[ind].over));
    if(app._isTextEmpty(info[ind].over)){
      info[ind].over = true;
    }else{
      info[ind].over = false;
    }
    this.setData({
      info
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if(this.data.current_page >= this.data.last_page){
      wx.showToast({
        title: '暂无更多',
        icon:'none',
        duration:1000
      });
    }else{
      this.setData({
        page:this.data.page + 1
      });
      this.getNext();
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  getData(){
    var that = this;
    let urlStr = app.getNetAddresss('plugin.team-sales.api.dividend.index');
    app._postNetWork({
      url: urlStr,
      data:{
        dividend_type:that.data.id,
        page:this.data.page
      },
      success: (resdata) => {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          that.setData({
            name:res.data.name,
            info:res.data.data,
            current_page:res.data.current_page,
            last_page:res.data.last_page,
          });
          wx.setNavigationBarTitle({
            title: that.data.name,
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: 'none'
          });
          console.log(res.msg);
        }
      }
    });
  },
  getNext(){
    var that = this;
    let urlStr = app.getNetAddresss('plugin.team-sales.api.dividend.index');
    app._postNetWork({
      url: urlStr,
      data:{
        dividend_type:that.data.id,
        page:this.data.page
      },
      success: (resdata) => {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          that.setData({
            info:this.data.info.concat(res.data.data),
            current_page:res.data.current_page,
            last_page:res.data.last_page,
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: 'none'
          });
          console.log(res.msg);
        }
      }
    });
  }
});